Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.datatype
Class DoubleDatatypeValidator

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--weblogic.apache.xerces.validators.datatype.AbstractNumericFacetValidator
                  |
                  +--weblogic.apache.xerces.validators.datatype.AbstractNumericValidator
                        |
                        +--weblogic.apache.xerces.validators.datatype.DoubleDatatypeValidator

public class DoubleDatatypeValidator
extends AbstractNumericValidator

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: DoubleDatatypeValidator.java,v 1.21 2001/04/25 20:42:00 elena Exp $
Author:
  Elena Litani, Ted Leung, Jeffrey Rodriguez, Mark Swinkles - List Validation refactoring

Fields inherited from class weblogic.apache.xerces.validators.datatype.AbstractNumericFacetValidator
`fEnumeration, fMaxExclusive, fMaxInclusive, fMinExclusive, fMinInclusive, INDETERMINATE`

Fields inherited from class weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
`fBaseValidator, fFacetsDefined, fFlags, fLocale, fMessageProvider, fPattern, fRegex`

Constructor Summary
`DoubleDatatypeValidator()`
`DoubleDatatypeValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`protected void` | `assignAdditionalFacets(java.lang.String key, java.util.Hashtable facets)`
`protected void` | `checkContent(java.lang.String content, java.lang.Object state, java.util.Vector enumeration, boolean asBase)`
`protected void` | `checkContentEnum(java.lang.String content, java.lang.Object state, java.util.Vector enumeration)` validate if the content is valid against base datatype and facets (if any) this function might be called directly from UnionDatatype or ListDatatype
`int` | `compare(java.lang.String value1, java.lang.String value2)`
`protected int` | `compareValues(java.lang.Object value1, java.lang.Object value2)` Compares 2 double values.
`protected int` | `getInvalidFacetMsg()`
`protected java.lang.String` | `getMaxExclusive(boolean isBase)`
`protected java.lang.String` | `getMaxInclusive(boolean isBase)`
`protected java.lang.String` | `getMinExclusive(boolean isBase)`
`protected java.lang.String` | `getMinInclusive(boolean isBase)`
`protected void` | `setEnumeration(java.util.Vector enumeration)`
`protected void` | `setMaxExclusive(java.lang.String value)`
`protected void` | `setMaxInclusive(java.lang.String value)`
`protected void` | `setMinExclusive(java.lang.String value)`
`protected void` | `setMinInclusive(java.lang.String value)`

Methods inherited from class weblogic.apache.xerces.validators.datatype.AbstractNumericValidator
`boundsCheck, clone, validate`

Methods inherited from class weblogic.apache.xerces.validators.datatype.AbstractNumericFacetValidator
`checkBaseFacetConstraints, checkFacetConstraints, inheritAdditionalFacets, initializeValues`

Methods inherited from class weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
`getBaseValidator, getErrorString, getWSFacet, setLocale`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleDatatypeValidator

    public DoubleDatatypeValidator()
                            throws InvalidDatatypeFacetException

### DoubleDatatypeValidator

    public DoubleDatatypeValidator(DatatypeValidator base,
                                   java.util.Hashtable facets,
                                   boolean derivedByList)
                            throws InvalidDatatypeFacetException

Method Detail

### compare

    public int compare(java.lang.String value1,
                       java.lang.String value2)

### assignAdditionalFacets

    protected void assignAdditionalFacets(java.lang.String key,
                                          java.util.Hashtable facets)
                                   throws InvalidDatatypeFacetException

  Overrides:
    assignAdditionalFacets in class AbstractNumericFacetValidator

### compareValues

    protected int compareValues(java.lang.Object value1,
                                java.lang.Object value2)

  Compares 2 double values.

  Parameters:
    `value1` - - Double
    `value2` - - Double
  Returns:
    value1value2 return 1 value1==value2 return 0
  Overrides:
    compareValues in class AbstractNumericFacetValidator

### setMaxInclusive

    protected void setMaxInclusive(java.lang.String value)

  Overrides:
    setMaxInclusive in class AbstractNumericFacetValidator

### setMinInclusive

    protected void setMinInclusive(java.lang.String value)

  Overrides:
    setMinInclusive in class AbstractNumericFacetValidator

### setMaxExclusive

    protected void setMaxExclusive(java.lang.String value)

  Overrides:
    setMaxExclusive in class AbstractNumericFacetValidator

### setMinExclusive

    protected void setMinExclusive(java.lang.String value)

  Overrides:
    setMinExclusive in class AbstractNumericFacetValidator

### setEnumeration

    protected void setEnumeration(java.util.Vector enumeration)
                           throws InvalidDatatypeValueException

  Overrides:
    setEnumeration in class AbstractNumericFacetValidator

### getMaxInclusive

    protected java.lang.String getMaxInclusive(boolean isBase)

  Overrides:
    getMaxInclusive in class AbstractNumericFacetValidator

### getMinInclusive

    protected java.lang.String getMinInclusive(boolean isBase)

  Overrides:
    getMinInclusive in class AbstractNumericFacetValidator

### getMaxExclusive

    protected java.lang.String getMaxExclusive(boolean isBase)

  Overrides:
    getMaxExclusive in class AbstractNumericFacetValidator

### getMinExclusive

    protected java.lang.String getMinExclusive(boolean isBase)

  Overrides:
    getMinExclusive in class AbstractNumericFacetValidator

### checkContentEnum

    protected void checkContentEnum(java.lang.String content,
                                    java.lang.Object state,
                                    java.util.Vector enumeration)
                             throws InvalidDatatypeValueException

  validate if the content is valid against base datatype and facets (if any) this function might be called directly from UnionDatatype or ListDatatype

  Parameters:
    `content` - A string containing the content to be validated
    `enumeration` - A vector with enumeration strings
  Throws:
    throws - InvalidDatatypeException if the content is is not a W3C double type;
    throws - InvalidDatatypeFacetException if enumeration is not double
  Overrides:
    checkContentEnum in class AbstractNumericValidator

### checkContent

    protected void checkContent(java.lang.String content,
                                java.lang.Object state,
                                java.util.Vector enumeration,
                                boolean asBase)
                         throws InvalidDatatypeValueException

  Overrides:
    checkContent in class AbstractNumericValidator

### getInvalidFacetMsg

    protected int getInvalidFacetMsg()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference